Yaf_Response_Abstract::__destruct
Yaf_Response_Abstract::getHeader
Yaf_Response_Abstract
PHP Manual

# Yaf_Response_Abstract::getBody

(Yaf >=1.0.0)

Yaf_Response_Abstract::getBody — Retrieve a exists content

### Description

public mixed Yaf_Response_Abstract::getBody ([ string `$key` ] )

Retrieve a exists content

### Parameters

`key`

  the content key, if you don't specific, then Yaf_Response_Abstract::DEFAULT_BODY will be used. if you pass in a `NULL`, then all contents will be returned as a array

  > Note:

  > this parameter is introduced as of 2.2.0

### Return Values

### Examples

Example #1 Yaf_Response_Abstract::getBody()example

`<?php
$response = new Yaf_Response_Http();
$response->setBody("Hello")->setBody(" World", "footer");
var_dump($response->getBody()); //default
var_dump($response->getBody(Yaf_Response_Abstract::DEFAULT_BODY)); //same as above
var_dump($response->getBody("footer"));
var_dump($response->getBody(NULL)); //get all
?>`

The above example will output something similar to:

    string(5) "Hello"
    string(5) "Hello"
    string(6) " World"
    array(2) {
      ["content"]=>
      string(5) "Hello"
      ["footer"]=>
      string(6) " World"
    }

### See Also

- Yaf_Response_Abstract::setBody() - Set content to response
- Yaf_Response_Abstract::appendBody() - append to body
- Yaf_Response_Abstract::prependBody() - The prependBody purpose
- Yaf_Response_Abstract::clearBody() - The clearBody purpose

Yaf_Response_Abstract::__destruct
Yaf_Response_Abstract::getHeader
Yaf_Response_Abstract
PHP Manual